View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000542aMuleExternal Connpublic2005-08-21 12:192005-08-23 05:31
ReporterNDT_69 
Assigned ToGonoszTopi 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version 
Summary0000542: amuled crashes after a second amulecmd shutdown command
DescriptionCVS version: aMule-CVS-20050818
configure options:
------------------
./configure --enable-optimise --disable-debug --enable-amulecmd --enable-amule-daemon --enable-webserver --enable-kad-compile --enable-cas --enable-amulecmdgui --enable-webserver-php --enable-webservergui --enable-wxcas --enable-alc --enable-alcc --enable-utf8-systray --enable-amule-gui
System version:
---------------
olivier@vic:~$ uname -a
Linux vic 2.6.11-1-686 0000001 Mon Jun 20 22:00:38 MDT 2005 i686 GNU/Linux
olivier@vic:~$ g++ --version
g++ (GCC) 4.0.1 (Debian 4.0.1-2)


Traces:
-------
olivier@vic:~$ amuled&
[2] 19816
olivier@vic:~$ amuled: OnInit - starting timer
Initialising aMule
Checking if there is an instance already running...
Loading temp files from /home/olivier/.aMule/Temp.

All PartFiles Loaded.
ListenSocket: Ok.

*** TCP socket (ECServer) listening on 0.0.0.0:4712
*** Server UDP socket (TCP+3) at 0.0.0.0:4665
*** TCP socket (TCP) listening on 0.0.0.0:4662
*** Client UDP socket (extended eMule) at 0.0.0.0:4672
Empty dir /home/olivier/.aMule/Incoming/ shared
Servers: Trying to connect
General: CamuleDaemonApp::OnRun()
Servers: Connected

olivier@vic:~$ amulecmd

Création du client en cours...
Maintenant, établissement de la connexion....
Using host 'localhost.localdomain' port: 4712
Essai de connexion (timeout = 10 s)...
Succeeded! Connection established to aMule CVS

---------------------------------
| Client texte d'aMule |
---------------------------------


Use 'Help' for command list

aMulecmd$ shutdown
 > L'opération s'est déroulée avec succès.
aMulecmd$ shutdown

--------------------------------------------------------------------------------
A fatal error has occurred and aMule has crashed.
Please assist us in fixing this problem by posting the backtrace below in our
'aMule Crashes' forum and include as much information as possible regarding the
circumstances of this crash. The forum is located here:
    http://forum.amule.org/board.php?boardid=67 [^]
If possible, please try to generate a real backtrace of this crash:
    http://www.amule.org/wiki/index.php/Backtraces [^]

----------------------------=| BACKTRACE FOLLOWS: |=----------------------------
Current version is: aMuled CVS using wxGTK2 v2.6.1 (Snapshot: Thu Aug 18 07:01:58 CEST 2005)
Running on: Linux 2.6.11-1-686 i686

[2] CamuleApp::OnFatalException() in :0
[3] wxFatalSignalHandler in /usr/local/lib/libwx_base-2.6.so.0[0xb7fa2086]
[4] ?? in [0xffffe420]
[5] CamuleApp::ShutDown() in :0
[6] ExternalConn::ProcessRequest2(CECPacket const*, CFileEncoderMap<CPartFile, CPartFile_Encoder, CDownloadQueue>&, CFileEncoderMap<CKnownFile, CKnownFile_Encoder, CSharedFileList>&, CObjTagMap&) in :0
[7] ExternalConn::OnSocketEvent(wxSocketEvent&) in :0
[8] wxAppConsole::HandleEvent(wxEvtHandler*, void (wxEvtHandler::*)(wxEvent&), wxEvent&) const in /usr/local/lib/libwx_base-2.6.so.0[0xb7f13a4d]
[9] wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) in /usr/local/lib/libwx_base-2.6.so.0[0xb7f9dfb4]
[10] wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) in /usr/local/lib/libwx_base-2.6.so.0[0xb7f9e1c8]
[11] wxEvtHandler::ProcessEvent(wxEvent&) in /usr/local/lib/libwx_base-2.6.so.0[0xb7f9e39d]
[12] wxEvtHandler::ProcessPendingEvents() in /usr/local/lib/libwx_base-2.6.so.0[0xb7f9ea03]
[13] wxAppConsole::ProcessPendingEvents() in /usr/local/lib/libwx_base-2.6.so.0[0xb7f13da6]
[14] CamuleDaemonApp::OnRun() in :0
[15] wxEntry(int&, char**) in /usr/local/lib/libwx_base-2.6.so.0[0xb7f48ffb]
[16] main in :0
[17] __libc_start_main in /lib/tls/libc.so.6[0xb7bd2974]
[18] wxEvtHandler::ProcessEvent(wxEvent&) in start.S:105


--------------------------------------------------------------------------------


[2]+ Abandon amuled
olivier@vic:~$



-------------------
Enjoy ;)
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
related to 0000521resolvedGonoszTopi amuled didn't shutdown when amulecmd -c shutdown 

-  Notes
(0001247)
user851
2005-08-22 00:32

this is that same problem like in 0000521 issue

- Issue History
Date Modified Username Field Change
2005-08-21 12:19 NDT_69 New Issue
2005-08-22 00:32 user851 Note Added: 0001247
2005-08-23 04:34 GonoszTopi Relationship added related to 0000521
2005-08-23 04:35 GonoszTopi Status new => assigned
2005-08-23 04:35 GonoszTopi Assigned To => GonoszTopi
2005-08-23 05:31 GonoszTopi Status assigned => resolved
2005-08-23 05:31 GonoszTopi Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker